﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'NonTradingDay' AND COLUMN_NAME = 'SystemPeriodID')
	AND NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.CONSTRAINT_TABLE_USAGE WHERE TABLE_NAME = 'NonTradingDay' AND CONSTRAINT_NAME = 'FK_NonTradingDay_SystemPeriodID')
BEGIN 
PRINT 'Creating foreign key FK_NonTradingDay_SystemPeriodID on table NonTradingDay'
ALTER TABLE [dbo].[NonTradingDay]  WITH CHECK ADD  CONSTRAINT [FK_NonTradingDay_SystemPeriodID] FOREIGN KEY([SystemPeriodID])
REFERENCES [SystemPeriods] ([ID])
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[NonTradingDay]') AND name = N'IDX_NonTradingDay')
BEGIN 
PRINT 'Creating index IDX_NonTradingDay on table NonTradingDay'
CREATE UNIQUE NONCLUSTERED INDEX [IDX_NonTradingDay] ON [dbo].[NonTradingDay] 
(
	[SystemPeriodID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

